Page 1 of 3 123 LastLast
Results 1 to 10 of 24

Thread: Could not refresh repo error

  1. #1
    Join Date
    Jun 2008
    Location
    Oregon
    Posts
    455

    Default Could not refresh repo error

    What does this mean?

    Refresh failed: . Error: refusing unsigned file repomd.xml Error: Could not refresh repository 'Packman Repository': Valid metadata not found at specified URL(s) History: - Signature verification failed for repomd.xml

    I got this as I booted up this morning. Any clues?

  2. #2
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Could not refresh repo error

    Do a zypper refresh (as root of course) and accept the Packman key when prompted and it should be fixed.

  3. #3
    Join Date
    Jun 2008
    Location
    Oregon
    Posts
    455

    Default Re: Could not refresh repo error

    Thanks. what's the command for zypper refresh? I'll use for future reference.

    I rebooted and that solved this problem.

  4. #4
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Could not refresh repo error

    zypper refresh

    in a terminal window

  5. #5

    Default Re: Could not refresh repo error

    I'm having the same error as of late last night. Although, I had updated just fine earlier in the day. I've even tried changing to a different packman repository to no avail. I guess we wait and see...
    I'm confused...No, wait...Maybe I'm not...

  6. #6
    Momo_77 NNTP User

    Default Re: Could not refresh repo error

    It's quite simple, the Packman Repo-key has reached it's lifetime limitation on 09/17/08 so you have to go to the Repo management and delete the old key of Packman then use the refresh function and when first ask about the missing signature say the first time "yes" and the second one if you are ask for importing a new key file. That's it!

    Ciao, Momo!

  7. #7

    Default Re: Could not refresh repo error

    Thanks for the info.
    I'm confused...No, wait...Maybe I'm not...

  8. #8
    Join Date
    Jul 2008
    Location
    Toronto, Canada
    Posts
    94

    Default Re: Could not refresh repo error

    Momo, how exactly, do you do this?

    I have been getting this error since yesterday, and would like to fix it.

    Thanks

  9. #9
    69_rs_ss NNTP User

    Default Re: Could not refresh repo error

    On Fri, 19 Sep 2008 00:56:01 GMT
    beardo41186 <beardo41186@no-mx.forums.opensuse.org> wrote:

    >
    > Momo, how exactly, do you do this?
    >
    > I have been getting this error since yesterday, and would like to fix
    > it.
    >
    > Thanks
    >
    >

    Yast -> Software -> Software Repositories, click on GPG Keys, highlight
    Packman and hit delete. When it asks if you are sure click yes. That is
    what I believe Momo 77 was talking about.

  10. #10
    Join Date
    Jun 2008
    Location
    Oregon
    Posts
    455

    Default Re: Could not refresh repo error

    Quote Originally Posted by Momo_77 View Post
    It's quite simple, the Packman Repo-key has reached it's lifetime limitation on 09/17/08 so you have to go to the Repo management and delete the old key of Packman then use the refresh function and when first ask about the missing signature say the first time "yes" and the second one if you are ask for importing a new key file. That's it!

    Ciao, Momo!
    I deleted the key and closed out the then went back to the Pacman listing and hit refresh. Do I have to reboot? I'll give that a try.

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •